summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJavier Jardón <jjardon@gnome.org>2015-01-27 14:47:26 +0000
committerJavier Jardón <jjardon@gnome.org>2015-01-27 14:48:39 +0000
commit962dcda2af12f031e495829220f31e67b0fd168d (patch)
treed758551899ee5abf9a586a0b452cc0e87faebe2c
parentd7208f2be7ebe5f5e5aaa5af4c8e1e809f73e7c8 (diff)
downloadatk-962dcda2af12f031e495829220f31e67b0fd168d.tar.gz
autogen.sh: stop using deprecated gnome-autogen.sh
See https://wiki.gnome.org/Projects/GnomeCommon/Migration
-rwxr-xr-xautogen.sh45
1 files changed, 37 insertions, 8 deletions
diff --git a/autogen.sh b/autogen.sh
index 615d8d8..630e680 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,15 +1,44 @@
-#!/bin/sh
# Run this to generate all the initial makefiles, etc.
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME="atk"
-REQUIRED_AUTOMAKE_VERSION=1.7
-
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from the GNOME CVS"
- exit 1
+(test -f $srcdir/configure.ac) || {
+ echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+ exit 1
}
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the" >&2
+ echo \`$0\'" command line." >&2
+ echo "" >&2
+fi
+
+# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
+# This is a automake bug fixed in automake 1.13.2
+# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+ mkdir -p $m4dir
+fi
+
+set -x
+
+glib-gettextize --force --copy || exit 1
+gtkdocize --copy || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
+
+set +x